# classes/phing/system/io/FileReader.php

## \FileReader
jump to top

Convenience class for reading files.

Unlike the Java counterpart, this class does not (yet) handle character set transformations. This will be an important function of this class with move to supporting PHP6.

Extends from
  \InputStreamReader
author
  Hans Lellelid
author
  Yannick Lecaillez
package
  phing.system.io
version
  $Revision: 552 $

### Methods

`__construct( mixed $file ) :`
Construct a new FileReader.
Parameters

Name | Type | Description
--- | --- | ---
$file | mixed | PhingFile or string pathname.

Documentation was generated by DocBlox 0.13.1.